﻿using System.Windows.Forms;

namespace mp3rename
{
    public class Helper
    {
        #region Delegates

        public delegate void AppendTextToRtBDelegate(RichTextBox rtB, string text);

        #endregion

        /// <summary>
        /// Append Text to a richtextBox control out of another thread
        /// </summary>
        /// <param name="rtB">Control</param>
        /// <param name="text">text to add to the allrdy existing</param>
        public static void AppendTextToRtB(RichTextBox rtB, string text)
        {
            if (rtB.InvokeRequired)
            {
                rtB.BeginInvoke(new AppendTextToRtBDelegate(AppendTextToRtB), new object[] {rtB, text});
                return;
            }
            rtB.Text += text;
        }
    }
}